Get tracklisting dates

This endpoint allows you to query the correct date for the Get tracklisting for a date endpoint.

Learn more about how we refresh playlists in this article from our help center.

For YouTube, views per playlist are returned in the “latestSubscriberCount” data point.

All playlist types are listed in this article from our help center.

Need to get the playlist UUID? Use the Get playlist by platform ID or Search playlist by name endpoint.

Request

GET /api/v2.20/playlist/{uuid}/available-tracklistings

Path parameters

Parameter Value Description Additional
uuid string A playlist UUID Required

Query string parameters

Parameter Value Description Additional
endDate string Optional period filter (YYYY-MM-DD format) Optional
period integer Number of historical days (max. 90) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A playlist track listing dates collection response

Playlist Tracklisting date Collection
400 Bad Request

Invalid date provided

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Playlist not found

Explore

A playlist UUID

Optional period filter (YYYY-MM-DD format)

Number of historical days (max. 90)

Get results starting from position

Number of results (max. 100)

Try it out